<h1 mat-dialog-title>Runner settings</h1>
<div mat-dialog-content>
  <mat-card>
    <mat-card-title>Mode</mat-card-title>
    <mat-radio-group class="radiobuttons">
      <mat-radio-button
        value="paginated"
        [checked]="data.runner.mode === 'paginated'"
        (change)="data.runner.set('mode', 'paginated')"
      >
        Paginated<small
          >Blocks are presented page for page and the user navigates through the pages using the next and back
          buttons.</small
        >
      </mat-radio-button>
      <mat-radio-button
        value="continuous"
        [checked]="data.runner.mode === 'continuous'"
        (change)="data.runner.set('mode', 'continuous')"
      >
        Continuous<small
          >This will keep all past blocks in view as the user navigates using the next and back buttons.</small
        >
      </mat-radio-button>
      <mat-radio-button
        value="progressive"
        [checked]="data.runner.mode === 'progressive'"
        (change)="data.runner.set('mode', 'progressive')"
      >
        Progressive<small
          >In this mode all possible blocks are presented to the user. The user does not need to navigate using the next
          and back buttons (so we can hide those buttons).</small
        >
      </mat-radio-button>
    </mat-radio-group>
  </mat-card>
  <mat-card>
    <mat-card-title>Display</mat-card-title>
    <mat-slide-toggle
      [checked]="data.runner.enumerators"
      (change)="data.runner.set('enumerators', !data.runner.enumerators)"
    >
      Enumerators<small>Shows numbers in labels.</small>
    </mat-slide-toggle>
    <mat-slide-toggle
      [disabled]="data.runner.mode !== 'paginated'"
      [checked]="data.runner.pages"
      (change)="data.runner.set('pages', !data.runner.pages)"
      >Pages<small>Shows pages-index in paginated mode.</small></mat-slide-toggle
    >
    <mat-slide-toggle
      [checked]="data.runner.progressbar"
      (change)="data.runner.set('progressbar', !data.runner.progressbar)"
      >Progressbar<small>Shows progressbar.</small></mat-slide-toggle
    >
  </mat-card>
</div>

<div mat-dialog-actions><button mat-stroked-button mat-dialog-close>Close</button></div>
